---
type: api
title: Bulk delete SLO definitions and their associated summary and rollup data.
description: Bulk delete SLO definitions and their associated summary and rollup data.  This endpoint initiates a bulk deletion operation for SLOs, which may take some time to complete.  The status of the operation can be checked using the `GET /api/slo/_bulk_delete/{taskId}` endpoint.
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v0/operation/operation-bulkdeleteop
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v0/operation/operation-bulkdeleteop
products:
  - Kibana
---

# Bulk delete SLO definitions and their associated summary and rollup data.

- Server: `https://{kibana_url}`

## Paths

- `POST` `/s/{spaceId}/api/observability/slos/_bulk_delete`

#### Path parameters

- `spaceId` (string) — required
  An identifier for the space. If `/s/` and the identifier are omitted from the path, the default space is used.
  Example: `default`

## Description

Bulk delete SLO definitions and their associated summary and rollup data.  This endpoint initiates a bulk deletion operation for SLOs, which may take some time to complete.  The status of the operation can be checked using the `GET /api/slo/_bulk_delete/{taskId}` endpoint.

## Authentication

- Api key: `Authorization: <value>`
  These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: `Authorization: ApiKey base64AccessApiKey`
- Basic: `Authorization: Basic <credentials>`

## Header parameters

- `kbn-xsrf` (string) — required
  Cross-site request forgery protection

## Request body

`application/json`

- `list` (string[]) — required
  An array of SLO Definition id

## Responses

#### `200`

Successful response

`application/json`

- `taskId` (string)
  The taskId of the bulk delete operation
#### `400`

Bad request

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
#### `401`

Unauthorized response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
#### `403`

Forbidden response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
## Code examples

#### Console

```console
POST kbn:/s/default/api/observability/slos/_bulk_delete
{
  "list": [
    "8853df00-ae2e-11ed-90af-09bb6422b258",
    "d077e940-1515-11ee-9c50-9d096392f520"
  ]
}
```

#### curl

```curl
curl -X POST "${KIBANA_URL}/s/default/api/observability/slos/_bulk_delete" \
  -H "kbn-xsrf: true" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "list": [
      "8853df00-ae2e-11ed-90af-09bb6422b258",
      "d077e940-1515-11ee-9c50-9d096392f520"
    ]
  }'
```

## Response examples

#### Bulk delete response with task ID

```json
{
  "taskId": "d08506b7-f0e8-4f8b-a06a-a83940f4db91"
}
```

#### Bad request

```json
{
  "error": "Bad Request",
  "message": "Invalid value \u0027foo\u0027 supplied to: list",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "security_exception: unable to authenticate user for REST request [/api/observability/slos]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "security_exception: action [slo_write] is unauthorized for user",
  "statusCode": 403
}
```

